[dpdk-dev] [PATCH 10/18] crypto/kasumi: remove check for SSE4

Bruce Richardson bruce.richardson at intel.com
Tue Jun 20 17:23:05 CEST 2017


Since SSE4 is now part of the minimum requirements for DPDK, we don't need
to check for its presence any more.

Signed-off-by: Bruce Richardson <bruce.richardson at intel.com>
---
 drivers/crypto/kasumi/rte_kasumi_pmd.c | 6 +-----
 1 file changed, 1 insertion(+), 5 deletions(-)

diff --git a/drivers/crypto/kasumi/rte_kasumi_pmd.c b/drivers/crypto/kasumi/rte_kasumi_pmd.c
index 9da9e89..ef4e630 100644
--- a/drivers/crypto/kasumi/rte_kasumi_pmd.c
+++ b/drivers/crypto/kasumi/rte_kasumi_pmd.c
@@ -566,12 +566,8 @@ cryptodev_kasumi_create(const char *name,
 	/* Check CPU for supported vector instruction set */
 	if (rte_cpu_get_flag_enabled(RTE_CPUFLAG_AVX))
 		cpu_flags |= RTE_CRYPTODEV_FF_CPU_AVX;
-	else if (rte_cpu_get_flag_enabled(RTE_CPUFLAG_SSE4_1))
+	else
 		cpu_flags |= RTE_CRYPTODEV_FF_CPU_SSE;
-	else {
-		KASUMI_LOG_ERR("Vector instructions are not supported by CPU");
-		return -EFAULT;
-	}
 
 	dev = rte_cryptodev_pmd_virtual_dev_init(init_params->name,
 			sizeof(struct kasumi_private), init_params->socket_id);
-- 
2.9.4



More information about the dev mailing list